Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731892 - sci-biology/glimmer fails to link with LLD because of /usr/lib in the link command line
Summary: sci-biology/glimmer fails to link with LLD because of /usr/lib in the link co...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-09 11:55 UTC by Agostino Sarubbo
Modified: 2021-04-05 13:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,156.30 KB, text/plain)
2020-07-09 11:55 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-09 11:55:40 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-biology/glimmer fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-09 11:55:45 UTC
Created attachment 648534 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-04-05 13:31:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08a072e6e7aeb962594f489db2000ea89c2599bb

commit 08a072e6e7aeb962594f489db2000ea89c2599bb
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-04-05 13:30:36 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-04-05 13:30:36 +0000

    sci-biology/glimmer: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/731892
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../glimmer/files/glimmer-3.02b-ldflags.patch      | 20 ++++++++++-------
 sci-biology/glimmer/glimmer-3.02b.ebuild           | 26 ++++++++++------------
 2 files changed, 24 insertions(+), 22 deletions(-)